Package org.jboss.modules

# Class ModuleDependencySpec

java.lang.Object
org.jboss.modules.DependencySpec
org.jboss.modules.ModuleDependencySpec

public final class ModuleDependencySpec extends DependencySpec
A dependency specification on a module.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ModuleDependencySpec`
`JAVA_BASE`
A simple dependency on the `java.base` module.
`static final ModuleDependencySpec`
`JAVA_SE`
A simple dependency on the `java.se` module.

### Fields inherited from class org.jboss.modules.DependencySpec

`OWN_DEPENDENCY`

## Method Summary

Modifier and Type
Method
Description
`ModuleIdentifier`
`getIdentifier()`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `#getName()` instead.
`ModuleLoader`
`getModuleLoader()`
Get the module loader of this dependency, or `null` if the defined module's loader is to be used.
`String`
`getName()`
Get the module name of the dependency.
`boolean`
`isOptional()`
Determine whether this dependency is optional.
`String`
`toString()`

### Methods inherited from class org.jboss.modules.DependencySpec

`createClassLoaderDependencySpec, createClassLoaderDependencySpec, createClassLoaderDependencySpec, createLocalDependencySpec, createLocalDependencySpec, createLocalDependencySpec, createLocalDependencySpec, createLocalDependencySpec, createLocalDependencySpec, createLocalDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createModuleDependencySpec, createSystemDependencySpec, createSystemDependencySpec, createSystemDependencySpec, getClassExportFilter, getClassImportFilter, getExportFilter, getImportFilter, getResourceExportFilter, getResourceImportFilter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### JAVA_BASE

public static final ModuleDependencySpec JAVA_BASE
A simple dependency on the `java.base` module.

### JAVA_SE

public static final ModuleDependencySpec JAVA_SE
A simple dependency on the `java.se` module.

## Method Details

### getModuleLoader

public ModuleLoader getModuleLoader()
Get the module loader of this dependency, or `null` if the defined module's loader is to be used.

Returns:
  the module loader

### getIdentifier

@Deprecated(forRemoval=true) public ModuleIdentifier getIdentifier()
Deprecated, for removal: This API element is subject to removal in a future version.
Use `#getName()` instead.
Get the module identifier of the dependency.

Returns:
  the module identifier

### getName

public String getName()
Get the module name of the dependency.

Returns:
  the module name

### isOptional

public boolean isOptional()
Determine whether this dependency is optional.

Returns:
  `true` if the dependency is optional, `false` if it is required

### toString

public String toString()

Overrides:
  `toString` in class `Object`